#
# spec file for package qtcups (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake cups cups-client cups-devel cups-libs gpp libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cups cups-client cups-devel cups-libs cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --c++ --prefix "/usr" -b "libjpeg libpng qt qt-devel libmng libmng-devel liblcms cups cups-devel"
Name:         qtcups
Copyright:    unknown
Group:        Utilities/Printing
Summary:      QtCUPS - a CUPS interface and library for Qt
Version:      2.0
Release:      167
BuildRoot:    /var/tmp/buildroot-%{name}
Source0:      qtcups-2.0.tar.bz2
Source1:      qtcups.de.qm
Source2:      qtcups.de.ts

%description
QtCups provides CUPS support for Qt applications. It includes :
- a CUPS front-end to be used as a replacement for "lpr", which
provides a nice graphical interface for print settings. This
interface allows users to set all possible printer's options.
- a development library which enables Qt application to print to
CUPS and configure all CUPS printer options. The class QCupsPrinter
provides the same interface as QPrinter, sot code changes are
small for most applications.

Authors:
--------
    Michael Goffioul <goffioul@emic.ucl.ac.be>

SuSE series: k2de

%prep
%setup -n qtcups-2.0

%build
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/usr \
  
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 %SOURCE1 ${RPM_BUILD_ROOT}//usr/share/qtcups/qtcups.de.qm

%files
%doc AUTHORS INSTALL COPYING 
/usr/bin/*
/usr/include/qtcups
/usr/lib/libqtcups*
# all other translation files are empty
/usr/share/qtcups/qtcups.fr.qm
/usr/share/qtcups/qtcups.de.qm

%changelog -n qtcups
* Fri Aug 31 2001 - bjacke@suse.de
- add cups-client to neededforbuild
* Mon Aug 20 2001 - ro@suse.de
- changed neededforbuild <cups> to <cups cups-libs>
* Mon Aug 13 2001 - ro@suse.de
- added openssl to neededforbuild
* Thu Jun 28 2001 - adrian@suse.de
- add german translation from Philipp Storz
* Wed Jun 13 2001 - adrian@suse.de
- drop empty translation files. This fixes the bug with empty
  dialog boxes
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Sun Feb 04 2001 - ro@suse.de
- added Rpm-Group entry
* Sat Feb 03 2001 - adrian@suse.de
- New version 2.0 (QT 2)
* Thu Nov 30 2000 - mhafner@suse.de
- first SuSE version
